[SOLVED]Can not get old version component from Vault mirror(8.1.1911 - HighAvailability) with dnf

Issues related to applications and software problems and general support
Post Reply
norimage
Posts: 2
Joined: 2020/10/07 14:09:53

[SOLVED]Can not get old version component from Vault mirror(8.1.1911 - HighAvailability) with dnf

Post by norimage » 2020/10/08 00:16:54

I want to get "pacemaker-2.0.2-3.el8.x86_64.rpm" from Vault Mirror (8.1.1911) with dnf. Not "pacemaker-2.0.2-3.el8_1.2.x86_64.rpm"
But "pacemaker-2.0.2-3.el8.x86_64.rpm" is not displayed with dnf.

Code: Select all

#  dnf list --showduplicates | grep pacemaker
pacemaker.x86_64                                     2.0.2-3.el8_1.2                                   HA        
pacemaker-cli.x86_64                                 2.0.2-3.el8_1.2                                   HA        
pacemaker-cluster-libs.i686                          2.0.2-3.el8                                       AppStream 
pacemaker-cluster-libs.x86_64                        2.0.2-3.el8                                       AppStream 
pacemaker-cluster-libs.i686                          2.0.2-3.el8_1.2                                   AppStream 
pacemaker-cluster-libs.i686                          2.0.2-3.el8_1.2                                   HA        
pacemaker-cluster-libs.x86_64                        2.0.2-3.el8_1.2                                   AppStream 
pacemaker-cts.noarch                                 2.0.2-3.el8_1.2                                   HA        
pacemaker-doc.noarch                                 2.0.2-3.el8_1.2                                   HA        
pacemaker-libs.i686                                  2.0.2-3.el8                                       AppStream 
pacemaker-libs.x86_64                                2.0.2-3.el8                                       AppStream 
pacemaker-libs.i686                                  2.0.2-3.el8_1.2                                   AppStream 
pacemaker-libs.i686                                  2.0.2-3.el8_1.2                                   HA        
pacemaker-libs.x86_64                                2.0.2-3.el8_1.2                                   AppStream 
pacemaker-libs-devel.i686                            2.0.2-3.el8_1.2                                   HA        
pacemaker-libs-devel.x86_64                          2.0.2-3.el8_1.2                                   HA        
pacemaker-nagios-plugins-metadata.noarch             2.0.2-3.el8_1.2                                   HA        
pacemaker-remote.x86_64                              2.0.2-3.el8_1.2                                   HA        
pacemaker-schemas.noarch                             2.0.2-3.el8                                       AppStream 
pacemaker-schemas.noarch                             2.0.2-3.el8_1.2                                   AppStream 

Code: Select all

[AppStream]
name=AppStream-Vault
baseurl=http://vault.centos.org/8.1.1911/AppStream/x86_64/os/
enabled=1
gpgcheck=0

[HA]
name=HA-Vault
baseurl=http://vault.centos.org/8.1.1911/HighAvailability/x86_64/os/
enabled=1
gpgcheck=0
"AppStream repo(Vault)" include old version(2.0.2-3.el8). But "HighAvailability repo(Vault)" do not include old version.
=====

I think the cause is that "pacemaker-2.0.2-3.el8.x86_64.rpm" is not included in the "filelist(976eb824d81f4262075374b9e067726c5aad7000f6510191e933c34bf7c7a0b8-filelists.xml.gz)" specified in "repomd.xml".
There are other such components in "8.1.1911-High Availability" (ex. fence-agents, corosyng, etc...)

Please improve. Because there are many users around me who want the old version(release version) with dnf.
Last edited by norimage on 2020/10/09 07:05:58, edited 1 time in total.

norimage
Posts: 2
Joined: 2020/10/07 14:09:53

Re: Can not get old version component from Vault mirror(8.1.1911 - HighAvailability) with dnf

Post by norimage » 2020/10/09 07:05:33

I decided to use kickstart repository.

Post Reply

Return to “CentOS 8 - General Support”